summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorDan Klein <danklei@cisco.com>2015-10-12 09:00:14 +0300
committerDan Klein <danklei@cisco.com>2015-10-12 09:00:14 +0300
commit47111637f4989f82fb8ed2dab6240efb5b12713f (patch)
tree57b9c86025aa8cc167a4d39607432eccc822f92d /scripts
parent63318b05c360872ccd6d6348a6818ca2929927c9 (diff)
parent279046aec7d7e72a0cb42250ed8b69f1d290df55 (diff)
Merge branch 'master' into dan_latest
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/trex-cfg9
1 files changed, 9 insertions, 0 deletions
diff --git a/scripts/trex-cfg b/scripts/trex-cfg
index 2aebf026..ca442d15 100755
--- a/scripts/trex-cfg
+++ b/scripts/trex-cfg
@@ -30,6 +30,15 @@ for file in /sys/devices/system/node/node0/hugepages/hugepages-2048kB/nr_hugepag
fi
done
+MACHINE_TYPE=`uname -m`
+
+if [ ${MACHINE_TYPE} != 'x86_64' ]; then
+ echo "ERROR You have a 32bit Kernel try to install 64bit Kernel"
+ exit 1
+fi
+
+
+
if ! lsmod | grep -q igb_uio ; then
echo "Load the drivers for the first time "
modprobe uio